<?php
namespace WrsEventsHtmlmail;
defined('ABSPATH') || exit;

function add_generate_html_link( $actions, $post ) {

	$url = wp_nonce_url(
		add_query_arg(
			array(
				'action' => 'dmwpevents_generate_html_mail',
				'post' => $post->ID,
			),
			'admin.php'
		),
		basename(__FILE__),
		'generate_html_nonce'
	);

	if ( $post->post_type == DMWPEVENTS_SLUG && current_user_can( 'edit_posts' ) ) {
		//$actions[ 'htmlmail' ] = '<a href="' . $url . '" title="HTML-Mail erstellen" rel="permalink">' . __('HTML-Mail erstellen', 'dmwpevents') . '</a>';
		$actions[ 'htmlmailpreview' ] = '<a href="' . add_query_arg ('htmlmail', '1', get_permalink($post->ID)) . '" title="HTML-Mail Preview" rel="permalink" target="_blank">' . __('HTML-Mail Preview', 'dmwpevents') . '</a>';
	}
	return $actions;
}

/*
function generate_html_mail() {

	if ( empty( $_GET[ 'post' ] ) )
	{
		wp_die( 'No post has been provided!' );
	}

	if ( ! isset( $_GET[ 'generate_html_nonce' ] ) || ! wp_verify_nonce( $_GET[ 'generate_html_nonce' ], basename( __FILE__ ) ) )
	{
		return;
	}

	$post_id = absint( $_GET[ 'post' ] );

	$post = get_post( $post_id );

	if ( $post ) {

		wp_safe_redirect(
			add_query_arg(
				array(
					'post_type' => ( 'post' !== get_post_type( $post ) ? get_post_type( $post ) : false ),
					'saved' => 'post_html_copied' // just a custom slug here
				),
				admin_url( 'edit.php' )
			)
		);
		exit;

	} else {
		wp_die( 'HTML creation failed, could not find original post.' );
	}
}
*/

/*
function generate_html_admin_notice()
{
	$post_id = absint( $_GET[ 'post' ] );

	$post = get_post( $post_id );

	$screen = get_current_screen();

	if ( 'edit' !== $screen->base ) {
		return;
	}

	if ( isset( $_GET[ 'saved' ] ) && 'post_html_copied' == $_GET[ 'saved' ] ) {
		echo '<div class="notice notice-success is-dismissible"><p>HTML-E-Mail <em>"'.$post->post_title.'"</em> bereit - <a href="#" onClick="copyHtmlMail()">in Zwischenablage kopieren</a></p></div>';
		?>
		<script>
            function copyHtmlMail() {
                let text = "<?php echo $post->post_title; ?>";
                navigator.clipboard.writeText(text);
                alert("Die HTML-Mail ist nun in der Zwischenablage!");
            }
		</script>
		<?php
	}
}
*/

/*
 * Allow different Template in Preview with $_GET-Param
 */
function wpdocs_include_template_files_on_page( $template ) {

	if ( $_GET['htmlmail'] ) {

		$new_template = WRSWPEVENTSMAIL_PLUGIN_PATH . "/htmlmail.php";
		if ( '' != $new_template ) {
			return $new_template ;
		}
	}
	return $template;
}

add_filter( 'post_row_actions', __NAMESPACE__ . '\add_generate_html_link', 10, 2 );
add_action( 'admin_action_dmwpevents_generate_html_mail', __NAMESPACE__ . '\generate_html_mail' );
//add_action( 'admin_notices', __NAMESPACE__ . '\generate_html_admin_notice' );
add_filter( 'template_include', __NAMESPACE__ . '\wpdocs_include_template_files_on_page' );
