<?php

namespace Mjml;

class SaveService
{

	// API-Credentials for MJML
	const APP_ID = '7bacdff0-ef1c-4962-bfc9-d9025e17fc9e';
	const APP_SECRET = '3915b15a-c3d6-4700-a8e1-d140a3ac6168';

	/**
	 * @var string
	 */
	public $html_file;

	/**
	 * @var string
	 */
	public $mjml;

	/**
	 * @var string
	 */
	public $mjml_menu_html;

	/**
	 * Saves HTML-File
	 *
	 * @param $file name of file
	 * @param $hml grabbed html from getHeader()
	 * @return void.
	 */
	public function save()
	{
		$client = new \Mjml\Client(self::APP_ID, self::APP_SECRET);

		setlocale(LC_TIME, "de_DE");

		$message = $client->render($this->mjml);

		$html = str_replace('REPLACE_MENU', $this->mjml_menu_html, $message);

		if (!file_exists($this->html_file))
		{
			//echo "HTML--File gibts nicht";
			if (!touch($this->html_file))
			{
				//echo ".... und konnte es auch nicht anlegen :-(";
			}
		}

		if (!file_put_contents($this->html_file, $html))
		{
			throw new \RuntimeException('Cannot write HTML');
		}
	}
}