<?php
$id = get_the_ID();

// where to save static html
$file_dir = ABSPATH . 'wp-content/uploads/renderedmails/';
// create directory
if(!file_exists($file_dir)) mkdir($file_dir);

$html_file = $file_dir . 'newsletter_' . $id . '.html';

//if (!file_exists($file_dir . $html_file)) {
	$redaktion = get_query_var('query_redaktion');
	$newsletter_name = get_the_title();
	$show_anchors = get_query_var('query_show_anchors');
	$color_hyperlinks = "#006dba";
	$url_datenschutz = 'https://wrs.region-stuttgart.de/fn/datenschutzerklaerung/';
	$url_subscribe = get_query_var('query_url_subscribe');
	$url_unsubscribe = 'mailto:info@region-stuttgart.de';
	$footer_logos = get_query_var('query_footer_logos', 'options');
	$permalink = get_the_permalink();

	$social = [
		[
			'social_type' => 'xing',
			'social_url' => 'http://xing.com/companies/wirtschaftsf%C3%B6rderungregionstuttgartgmbh'
		],
		[
			'social_type' => 'twitter',
			'social_url' => 'https://twitter.com/WRS_GmbH'
		],
		[
			'social_type' => 'facebook',
			'social_url' => 'https://www.facebook.com/WirtschaftsfoerderungRegionStuttgart'
		],
		[
			'social_type' => 'linkedin',
			'social_url' => 'https://www.linkedin.com/company/wirtschaftsf-rderung-region-stuttgart-gmbh'
		],
	];

	require 'partials/social.php';
	require 'mjml.php';

	try {
		$t = new \Mjml\SaveService();
		$t->html_file = $html_file;
		$t->mjml = $mjml;
		#die($mjml);
		$t->save();

	}
	catch (Exception $e) {
		$error = $e->getMessage();
	}
//}
$html = file_get_contents($html_file);
echo $html;
require 'partials/copybutton.php';