<?php
/**
 * Plugin Name:     WRS Events Html-E-Mail
 * Plugin URI:      https://www.d-mind.de/
 * Description:     E-Mail-Termineinladung per Knopfdruck generieren
 * Version:         1.0.3
 * Author:          Jens Fuchs
 * Author URI:      https://www.d-mind.de/
 * Text Domain:     wrswpeventsmail
 * Domain Path:     /languages
 */
namespace WrsEventsHtmlmail;

error_reporting(0);

defined('ABSPATH') || exit;

define("WRSWPEVENTSMAIL_SLUG", 'wrswpeventsmail');
define("WRSWPEVENTSMAIL_TEXTDOMAIN", 'wrswpeventsmail');
define("WRSWPEVENTSMAIL_PLUGIN_PATH", pathinfo( __FILE__,PATHINFO_DIRNAME) . DIRECTORY_SEPARATOR);

/* require everything in /inc/configuration directory */
foreach (scandir(dirname(__FILE__) . '/inc/configuration') as $filename) {
  $path = dirname(__FILE__) . '/inc/configuration/' . $filename;
  if (is_file($path)) {
    require $path;
  }
}

/* require everything in newsletter/classes directory */
foreach ( scandir( dirname( __FILE__ ) . '/newsletter/classes' ) as $filename ) {
  $path = dirname( __FILE__ ) . '/newsletter/classes/' . $filename;
  if ( is_file( $path ) ) {
    require $path;
  }
}

/* Update checker from dmwpevents-plugin */
$updateloc = DMWPEVENTS_PLUGIN_PATH . 'vendor/plugin-update-checker/plugin-update-checker.php';
require_once $updateloc;

use YahnisElsts\PluginUpdateChecker\v5\PucFactory;;

$dmUpdateChecker = PucFactory::buildUpdateChecker(
	'https://github.com/dmind-gmbh/wrs-events-htmlmail',
	__FILE__,
	'wrs-events-htmlmail'
);

$dmUpdateChecker->setAuthentication( '6ddef984d4147aadf40ebe9ec4252889f6a3c2f7' );
