<?php
namespace WrsEventsHtmlmail;
defined('ABSPATH') || exit;

function htmlmailGetLocation($id) {

	$event_location = get_field('event_location', $id);
	$event_type = get_field('event_type', $id);

	if ($event_location && $event_type['value'] !== "virtual") {

		if (is_string($event_location)) {
			$id = $event_location;
		} else {
			$id = $event_location[0]->ID;
		}

		return get_the_title($id) . ", " . get_field('zip', $id) . " " . get_field('city', $id);

	}

	return false;

}


function htmlmailGetZoom($id) {

	$event_type = get_field('event_type', $id);
	$event_virtual_url = get_field('event_virtual_url', $id);

	if ($event_virtual_url && $event_type['value'] !== "regular") {
		if ($event_type['value'] == "hybrid" || $event_type['value'] == "virtual") {
			if ($event_virtual_url) {
				return ' <a href="'. $event_virtual_url .'">' . url_shorten($event_virtual_url, 20) . '</a>';
			}
		}
	}

	return false;

}